Debian Bug report logs - #539427
acpica-unix - FTBFS: Segmentation fault from iasl

version graph

Package: acpica-unix; Maintainer for acpica-unix is Mattia Dongili <malattia@debian.org>;

Reported by: Bastian Blank <waldi@debian.org>

Date: Fri, 31 Jul 2009 18:27:02 UTC

Severity: serious

Found in version 20090521-1

Fixed in version acpica-unix/20100528-1

Done: Mattia Dongili <malattia@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Mattia Dongili <malattia@debian.org>:
Bug#539427; Package acpica-unix. (Fri, 31 Jul 2009 18:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
New Bug report received and forwarded. Copy sent to Mattia Dongili <malattia@debian.org>. (Fri, 31 Jul 2009 18:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: submit@bugs.debian.org
Subject: acpica-unix - FTBFS: Segmentation fault from iasl
Date: Fri, 31 Jul 2009 20:23:11 +0200
Package: acpica-unix
Version: 20090521-1
Severity: serious

There was an error while trying to autobuild your package:

> Automatic build of acpica-unix_20090521-1 on debian-31.osdl.marist.edu by sbuild/s390 98
[...]
> # testcase
> /build/buildd/acpica-unix-20090521/debian/iasl/usr/bin/iasl -tc -p debian/acpi-dsdt.test.hex debian/acpi-dsdt.dsl
> make: *** [install] Segmentation fault
> dpkg-buildpackage: error: /usr/bin/fakeroot debian/rules binary-arch gave error exit status 2




Information forwarded to debian-bugs-dist@lists.debian.org, Mattia Dongili <malattia@debian.org>:
Bug#539427; Package acpica-unix. (Sat, 24 Oct 2009 16:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to Mattia Dongili <malattia@debian.org>. (Sat, 24 Oct 2009 16:39:05 GMT) Full text and rfc822 format available.

Message #10 received at 539427@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: 539427@bugs.debian.org, 516057@bugs.debian.org, bochs@packages.debian.org
Subject: Segmentation fault of iasl on non i386/amd64
Date: Sat, 24 Oct 2009 18:19:51 +0200
Hi

Can you please have a look at fixing the segfaults of iasl on non
i386/amd64 or do you think it would be better to remove the support of
iasl on non i386/amd64. If so, bochs is the only affected reverse dep of
iasl if you would restrict iasl to i386/amd64.

Cheers

Luk




Information forwarded to debian-bugs-dist@lists.debian.org, Mattia Dongili <malattia@debian.org>:
Bug#539427; Package acpica-unix. (Sat, 24 Oct 2009 23:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to Mattia Dongili <malattia@debian.org>. (Sat, 24 Oct 2009 23:21:03 GMT) Full text and rfc822 format available.

Message #15 received at 539427@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Luk Claes <luk@debian.org>
Cc: 539427@bugs.debian.org
Subject: Re: Segmentation fault of iasl on non i386/amd64
Date: Sun, 25 Oct 2009 01:15:06 +0200
Hi!

[ Removing #516057 as it's a closed bug about a bison error. ]

On Sat, 2009-10-24 at 18:19:51 +0200, Luk Claes wrote:
> Can you please have a look at fixing the segfaults of iasl on non
> i386/amd64 or do you think it would be better to remove the support of
> iasl on non i386/amd64. If so, bochs is the only affected reverse dep of
> iasl if you would restrict iasl to i386/amd64.

I don't see why iasl would not be able to run on any architecture,
it's just a compiler for byte-code. We ported it some time ago, but
it seems it has regressed in the latest upload (probably problems with
unaligned accesses or little endian assumptions, as before).

I might try to take a look at fixing it, but not now. Anyway regarding
bochs, it's not really a problem as iasl is only used when building
architecture independent packages, thus the Build-Depends-Indep.

regards,
guillem




Information forwarded to debian-bugs-dist@lists.debian.org, Mattia Dongili <malattia@debian.org>:
Bug#539427; Package acpica-unix. (Wed, 28 Oct 2009 09:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mattia Dongili <malattia@linux.it>:
Extra info received and forwarded to list. Copy sent to Mattia Dongili <malattia@debian.org>. (Wed, 28 Oct 2009 09:03:04 GMT) Full text and rfc822 format available.

Message #20 received at 539427@bugs.debian.org (full text, mbox):

From: Mattia Dongili <malattia@linux.it>
To: Guillem Jover <guillem@debian.org>, 539427@bugs.debian.org
Cc: Luk Claes <luk@debian.org>
Subject: Re: Bug#539427: Segmentation fault of iasl on non i386/amd64
Date: Tue, 27 Oct 2009 22:11:10 +0900
On Sun, Oct 25, 2009 at 01:15:06AM +0200, Guillem Jover wrote:
> Hi!
> 
> [ Removing #516057 as it's a closed bug about a bison error. ]
> 
> On Sat, 2009-10-24 at 18:19:51 +0200, Luk Claes wrote:
> > Can you please have a look at fixing the segfaults of iasl on non
> > i386/amd64 or do you think it would be better to remove the support of
> > iasl on non i386/amd64. If so, bochs is the only affected reverse dep of
> > iasl if you would restrict iasl to i386/amd64.
> 
> I don't see why iasl would not be able to run on any architecture,
> it's just a compiler for byte-code. We ported it some time ago, but
> it seems it has regressed in the latest upload (probably problems with
> unaligned accesses or little endian assumptions, as before).

yeah, dispite the fact that the patch applied, there were other changes
that are causing a consistent segfault.

> I might try to take a look at fixing it, but not now. Anyway regarding
> bochs, it's not really a problem as iasl is only used when building
> architecture independent packages, thus the Build-Depends-Indep.

I tried debugging it when the bug first appeared after I uploaded the
package with not much success but now I'm definitely lacking the time to
look at it.
As an emergency fix, if it's not a big deal for bochs, disabling the
failing architectures is an option.

thanks
-- 
mattia
:wq!




Information forwarded to debian-bugs-dist@lists.debian.org, Mattia Dongili <malattia@debian.org>:
Bug#539427; Package acpica-unix. (Sat, 26 Jun 2010 09:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mattia Dongili <malattia@linux.it>:
Extra info received and forwarded to list. Copy sent to Mattia Dongili <malattia@debian.org>. (Sat, 26 Jun 2010 09:45:03 GMT) Full text and rfc822 format available.

Message #25 received at 539427@bugs.debian.org (full text, mbox):

From: Mattia Dongili <malattia@linux.it>
To: Guillem Jover <guillem@debian.org>, 539427@bugs.debian.org
Cc: Luk Claes <luk@debian.org>
Subject: Re: Bug#539427: Segmentation fault of iasl on non i386/amd64
Date: Sat, 26 Jun 2010 18:42:57 +0900
On Tue, Oct 27, 2009 at 10:11:10PM +0900, Mattia Dongili wrote:
> On Sun, Oct 25, 2009 at 01:15:06AM +0200, Guillem Jover wrote:
> > Hi!
> > 
> > [ Removing #516057 as it's a closed bug about a bison error. ]
> > 
> > On Sat, 2009-10-24 at 18:19:51 +0200, Luk Claes wrote:
> > > Can you please have a look at fixing the segfaults of iasl on non
> > > i386/amd64 or do you think it would be better to remove the support of
> > > iasl on non i386/amd64. If so, bochs is the only affected reverse dep of
> > > iasl if you would restrict iasl to i386/amd64.
> > 
> > I don't see why iasl would not be able to run on any architecture,
> > it's just a compiler for byte-code. We ported it some time ago, but
> > it seems it has regressed in the latest upload (probably problems with
> > unaligned accesses or little endian assumptions, as before).

I uploaded a new package with a pile of fixes for BE support. Let's see
how it goes.
-- 
mattia
:wq!




Reply sent to Mattia Dongili <malattia@debian.org>:
You have taken responsibility. (Sat, 26 Jun 2010 12:33:05 GMT) Full text and rfc822 format available.

Notification sent to Bastian Blank <waldi@debian.org>:
Bug acknowledged by developer. (Sat, 26 Jun 2010 12:33:05 GMT) Full text and rfc822 format available.

Message #30 received at 539427-close@bugs.debian.org (full text, mbox):

From: Mattia Dongili <malattia@debian.org>
To: 539427-close@bugs.debian.org
Subject: Bug#539427: fixed in acpica-unix 20100528-1
Date: Sat, 26 Jun 2010 12:31:04 +0000
Source: acpica-unix
Source-Version: 20100528-1

We believe that the bug you reported is fixed in the latest version of
acpica-unix, which is due to be installed in the Debian FTP archive:

acpica-unix_20100528-1.debian.tar.gz
  to main/a/acpica-unix/acpica-unix_20100528-1.debian.tar.gz
acpica-unix_20100528-1.dsc
  to main/a/acpica-unix/acpica-unix_20100528-1.dsc
acpica-unix_20100528.orig.tar.gz
  to main/a/acpica-unix/acpica-unix_20100528.orig.tar.gz
iasl_20100528-1_amd64.deb
  to main/a/acpica-unix/iasl_20100528-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 539427@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mattia Dongili <malattia@debian.org> (supplier of updated acpica-unix package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 19 Jun 2010 22:40:18 +0900
Source: acpica-unix
Binary: iasl
Architecture: source amd64
Version: 20100528-1
Distribution: unstable
Urgency: low
Maintainer: Mattia Dongili <malattia@debian.org>
Changed-By: Mattia Dongili <malattia@debian.org>
Description: 
 iasl       - Intel ASL compiler/decompiler
Closes: 447397 506332 539427 554586
Changes: 
 acpica-unix (20100528-1) unstable; urgency=low
 .
   * New upstream release.
   * Switch to dpkg-source 3.0 (quilt) format.
   * Install a link instead of the full changes.txt file (Closes: #447397).
   * Fix support for compiling on BE architectures (Closes: #554586).
   * Fix segmentation fault on BE architectures (Closes: #539427).
   * Fix segmentation fault on Memory24 (again Closes: #506332).
Checksums-Sha1: 
 4732d375eea7b7166a122da98b38d154e504e4cf 1194 acpica-unix_20100528-1.dsc
 b36e2ffdd9fc169ea3084ab95341b01a9380b21e 1058661 acpica-unix_20100528.orig.tar.gz
 79ebc4c416076bf78e96ab73de70dc3cee71dc5c 24733 acpica-unix_20100528-1.debian.tar.gz
 b6449bd94ba6cb3a79561b96e2bd41e12e9054cc 362426 iasl_20100528-1_amd64.deb
Checksums-Sha256: 
 55350ba451f4305a55037e7dbbdfed4e70f8fe1d8821db7ceb25accefaddebd0 1194 acpica-unix_20100528-1.dsc
 f3af776f968c29daa4f061d594d641297f3838805307d243385785b7326d324c 1058661 acpica-unix_20100528.orig.tar.gz
 19cf69c521776dad24c75fd527f33a29210e134d0db229f5faf4df637f00a2ce 24733 acpica-unix_20100528-1.debian.tar.gz
 79800594d0c8e77e2e86bee866a5dd39fe536c0e5a20585a8e893b7b574b8e59 362426 iasl_20100528-1_amd64.deb
Files: 
 03d76a764e544f260f4121c8b7ac4881 1194 devel optional acpica-unix_20100528-1.dsc
 f80f0b079af06134769a2642b490cd30 1058661 devel optional acpica-unix_20100528.orig.tar.gz
 cdaf6ad70a1ba4f41ebe79748558cef9 24733 devel optional acpica-unix_20100528-1.debian.tar.gz
 35894039fbbc029470dd1797f3f970c9 362426 devel optional iasl_20100528-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkwlyMcACgkQgpRPaOotLEEujgCeMnCUeTNN4l6WasWGL9Il7/pG
T2oAoLyx2o/VXuh3letkCO1lahn7owxV
=5T1V
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 25 Jul 2010 07:32:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:13:18 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.